API Reference - GET /codelist/documentformats
Page content
The DocumentFormats endpoint returns a list of Action Codes values and the corresponding codes.
Resource
GET /api/codelist/documentformats
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "JPG",
"Value": "image/jpeg",
"LastModified": "2011-07-21T21:57:03.697",
"IsDisabled": "No"
}],
"id": "DocumentFormats"
}],
"DateGenerated": "2017-09-20T09:24:58.6047077-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Document Formats code |
| Value | String | Document Formats value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Document Formats code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government